Bug 1274726 - (CVE-2015-7884) CVE-2015-7884 kernel: media/vivid-osd: information leak in ioctl
CVE-2015-7884 kernel: media/vivid-osd: information leak in ioctl
Status: CLOSED NOTABUG
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
impact=low,public=20151021,reported=2...
: Security
Depends On: 1274730
Blocks: 1274735
  Show dependency treegraph
 
Reported: 2015-10-23 09:01 EDT by Martin Prpic
Modified: 2016-05-27 01:41 EDT (History)
34 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-01-26 08:54:38 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Martin Prpic 2015-10-23 09:01:07 EDT
An information leak flaw was found in Linux kernel for systems using Vivid! display drivers in framebuffer mode.  16 bytes of memory is not zeroed and may leak from userspace to a user at the console.

Original report:

http://seclists.org/oss-sec/2015/q4/115

Upstream patch:

http://git.kernel.org/cgit/linux/kernel/git/next/linux-next.git/commit/?id=eda98796aff0d9bf41094b06811f5def3b4c333c
Comment 1 Martin Prpic 2015-10-23 09:03:52 EDT
Created kernel tracking bugs for this issue:

Affects: fedora-all [bug 1274730]
Comment 2 Josh Boyer 2015-10-23 09:25:05 EDT
This requires CONFIG_VIDEO_VIVID to be enabled.  None of the Fedora kernels have this driver enabled.
Comment 4 Vladis Dronov 2016-01-26 08:54:38 EST
Statement:

This issue does not affect the Linux kernel packages as shipped with Red Hat Enterprise Linux 5, 6, 7 and MRG-2 as the code with the flaw is not present in the products listed.

Note You need to log in before you can comment on or make changes to this bug.